Tool: create_binding
Create a new binding between an agent and another resource (agent, MCP server, or endpoint).
The following sample demonstrate how to use curl to invoke the create_binding MCP tool.
| Curl Request |
|---|
curl --location 'https://agentregistry.googleapis.com/mcp' \ --header 'content-type: application/json' \ --header 'accept: application/json, text/event-stream' \ --data '{ "method": "tools/call", "params": { "name": "create_binding", "arguments": { // provide these details according to the tool's MCP specification } }, "jsonrpc": "2.0", "id": 1 }' |
Input Schema
Message for creating a Binding
CreateBindingRequest
| JSON representation |
|---|
{
"parent": string,
"bindingId": string,
"binding": {
object ( |
| Fields | |
|---|---|
parent |
Required. The project and location to create the Binding in. Expected format: |
bindingId |
Required. The ID to use for the binding, which will become the final component of the binding's resource name. This value should be 4-63 characters, and must conform to RFC-1034. Specifically, it must match the regular expression |
binding |
Required. The Binding resource that is being created. |
requestId |
Optional. An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes since the first request. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000). |
Binding
| JSON representation |
|---|
{ "name": string, "displayName": string, "description": string, "source": { object ( |
| Fields | |
|---|---|
name |
Required. Identifier. The resource name of the Binding. Format: |
displayName |
Optional. User-defined display name for the Binding. Can have a maximum length of |
description |
Optional. User-defined description of a Binding. Can have a maximum length of |
source |
Required. The target Agent of the Binding. |
target |
Required. The target Agent Registry Resource of the Binding. |
createTime |
Output only. Timestamp when this binding was created. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |
updateTime |
Output only. Timestamp when this binding was last updated. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |
Union field binding. The configuration for the Binding. binding can be only one of the following: |
|
authProviderBinding |
The binding for AuthProvider. |
AuthProviderBinding
| JSON representation |
|---|
{ "authProvider": string, "scopes": [ string ], "continueUri": string } |
| Fields | |
|---|---|
authProvider |
Required. The resource name of the target AuthProvider. Format:
|
scopes[] |
Optional. The list of OAuth2 scopes of the AuthProvider. |
continueUri |
Optional. The continue URI of the AuthProvider. The URI is used to reauthenticate the user and finalize the managed OAuth flow. |
Source
| JSON representation |
|---|
{ // Union field |
| Fields | |
|---|---|
Union field source_type. The type of the source, currently only supports Agents. Potential future fields include 'tag', etc. source_type can be only one of the following: |
|
identifier |
The identifier of the source Agent. Format:
|
Target
| JSON representation |
|---|
{ // Union field |
| Fields | |
|---|---|
Union field target_type. The type of the target, currently only supports an AgentRegistry Resource. Potential future fields include 'tag', etc. target_type can be only one of the following: |
|
identifier |
The identifier of the target Agent, MCP Server, or Endpoint. Format:
|
Timestamp
| JSON representation |
|---|
{ "seconds": string, "nanos": integer } |
| Fields | |
|---|---|
seconds |
Represents seconds of UTC time since Unix epoch 1970-01-01T00:00:00Z. Must be between -62135596800 and 253402300799 inclusive (which corresponds to 0001-01-01T00:00:00Z to 9999-12-31T23:59:59Z). |
nanos |
Non-negative fractions of a second at nanosecond resolution. This field is the nanosecond portion of the duration, not an alternative to seconds. Negative second values with fractions must still have non-negative nanos values that count forward in time. Must be between 0 and 999,999,999 inclusive. |
Output Schema
This resource represents a long-running operation that is the result of a network API call.
Operation
| JSON representation |
|---|
{ "name": string, "metadata": { "@type": string, field1: ..., ... }, "done": boolean, // Union field |
| Fields | |
|---|---|
name |
The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the |
metadata |
Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any. An object containing fields of an arbitrary type. An additional field |
done |
If the value is |
Union field result. The operation result, which can be either an error or a valid response. If done == false, neither error nor response is set. If done == true, exactly one of error or response can be set. Some services might not provide the result. result can be only one of the following: |
|
error |
The error result of the operation in case of failure or cancellation. |
response |
The normal, successful response of the operation. If the original method returns no data on success, such as An object containing fields of an arbitrary type. An additional field |
Any
| JSON representation |
|---|
{ "typeUrl": string, "value": string } |
| Fields | |
|---|---|
typeUrl |
Identifies the type of the serialized Protobuf message with a URI reference consisting of a prefix ending in a slash and the fully-qualified type name. Example: type.googleapis.com/google.protobuf.StringValue This string must contain at least one The prefix is arbitrary and Protobuf implementations are expected to simply strip off everything up to and including the last All type URL strings must be legal URI references with the additional restriction (for the text format) that the content of the reference must consist only of alphanumeric characters, percent-encoded escapes, and characters in the following set (not including the outer backticks): In the original design of |
value |
Holds a Protobuf serialization of the type described by type_url. A base64-encoded string. |
Status
| JSON representation |
|---|
{ "code": integer, "message": string, "details": [ { "@type": string, field1: ..., ... } ] } |
| Fields | |
|---|---|
code |
The status code, which should be an enum value of |
message |
A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the |
details[] |
A list of messages that carry the error details. There is a common set of message types for APIs to use. An object containing fields of an arbitrary type. An additional field |
Tool Annotations
Destructive Hint: ✅ | Idempotent Hint: ❌ | Read Only Hint: ❌ | Open World Hint: ❌